import { UserRoles } from '@prisma/client'
import { prisma } from '../shared/prisma'
import bcrypt from 'bcryptjs'
import config from '../config'

const createSuperAdmin = async () => {
  const userExists = await prisma.user.findUnique({
    where: {
      email: config.super_admin_email as string,
    },
  })

  if (!userExists) {
    const hasedPasseword = await bcrypt.hash(
      config.super_admin_password as string,
      Number(config.salt_round),
    )
    const userData = {
      email: config.super_admin_email as string,
      contactNumber: config.super_admin_phone_number as string,
      password: hasedPasseword,
      role: UserRoles.SUPER_ADMIN,
    }

    const superAdminData = {
      fullName: 'ATC Tech ltd.',
      email: config.super_admin_email as string,
      contactNumber: config.super_admin_phone_number as string,
      emergancyContactNumber:
        config.super_admin_emergency_phone_number as string,
      profileImage: config.super_admin_profile_image as string,
    }

    const result = await prisma.$transaction(async transactionClient => {
      await transactionClient.user.create({
        data: userData,
      })
      const result = await transactionClient.superAdmin.create({
        data: superAdminData,
      })
      return result
    })

    return result
  }
}

export default createSuperAdmin
