/* eslint-disable @typescript-eslint/no-explicit-any */
import jwt, { Secret } from 'jsonwebtoken'

const tokenGenerate = (payload: any, secret: Secret, expiresIn: string) => {
  const token = jwt.sign(payload, secret, {
    algorithm: 'HS256',
    expiresIn: expiresIn,
  })
  return token
}

const verifyToken = (token: string, secret: Secret) => {
  return jwt.verify(token, secret)
}

export const jwtHelper = {
  tokenGenerate,
  verifyToken,
}
