import { NextFunction, Request, Response } from 'express'
import { AnyZodObject } from 'zod'

const validateData = (shema: AnyZodObject) => {
  return async (req: Request, res: Response, next: NextFunction) => {
    try {
      await shema.parseAsync({
        body: req.body,
      })
      next()
    } catch (error) {
      next(error)
    }
  }
}

export default validateData
