import { Router } from 'express'
import { AirController } from './airLines.controller'
import auth from '../../middleware/auth'
import { UserRoles } from '@prisma/client'
import validateData from '../../middleware/validateData'
import { AirLinesValidation } from './airLines.validation'

const router = Router()

router.post(
  '/create-airlines',
  // auth(UserRoles.SUPER_ADMIN),
  // multerUploads.single('image'),
  // (req: Request, res: Response, next: NextFunction) => {
  //   req.body = AirLinesValidation.createAirLinesSchemaValidation.parse(
  //     JSON.parse(req.body.data),
  //   )
  //   return AirController.createAir(req, res, next)
  // },
  AirController.createAir,
)

router.get(
  '/get-airlines',
  auth(UserRoles.SUPER_ADMIN),
  AirController.getAirLines,
)

router.get(
  '/get-airlines/:id',
  // auth(UserRoles.SUPER_ADMIN),
  AirController.getAirLinesById,
)

router.patch(
  '/:id',
  auth(UserRoles.SUPER_ADMIN),
  validateData(AirLinesValidation.updateAirLinesSchemaValidation),
  AirController.updateAirLinesInfo,
)

router.delete('/:id', auth(UserRoles.SUPER_ADMIN), AirController.deleteAirLines)

export const AirRouter = router
