import catchAsync from '../../shared/catchAsync'
import { AirportService } from './airport.service'
import httpStatus from 'http-status'

const createAirport = catchAsync(async (req, res) => {
  const result = await AirportService.createAirportIntoDB(req.body)
  res.status(201).json({
    statusCode: httpStatus.CREATED,
    message: 'Airport created successfully',
    data: result,
  })
})

const getAirports = catchAsync(async (req, res) => {
  const data = req.query
  const result = await AirportService.getAirportsFromDB(data)
  res.status(200).json({
    statusCode: httpStatus.OK,
    message: 'Airports fetched successfully',
    data: result,
  })
})

export const AirportController = {
  createAirport,
  getAirports,
}
