import { Router } from 'express'
import { AuthController } from './auth.controller'
import { AuthValidation } from './auth.validation'
import validateData from '../../middleware/validateData'

const router = Router()

router.post(
  '/signup',
  validateData(AuthValidation.registerSchemaValidation),
  AuthController.registerUser,
)

router.post(
  '/login',
  validateData(AuthValidation.authSchemaValidation),
  AuthController.authLogin,
)

router.post('/refresh-token', AuthController.refreshToken)
router.post('/forget-password', AuthController.forgetPasswordForReset)
router.post('/reset-password', AuthController.resetPassword)

export const AuthRouter = router
