import catchAsync from '../../../shared/catchAsync'
import httpStatus from 'http-status'
import { BusBoardingPointService } from './busBoardingPoint.service'

const createBusBoardingPoint = catchAsync(async (req, res) => {
  const result = await BusBoardingPointService.createBusBoardingPointIntoDB(
    req.body,
  )
  res.status(201).json({
    statusCode: httpStatus.CREATED,
    message: 'Bus Boarding point created successfully',
    data: result,
  })
})

const getBusBoardingPoint = catchAsync(async (req, res) => {
  const result = await BusBoardingPointService.getAllBusBoardingPoint(req)
  res.status(201).json({
    statusCode: httpStatus.OK,
    message: 'Bus Boarding point fetch successfully',
    data: result,
  })
})



export const BusBoardingPointController = {
  createBusBoardingPoint,
  getBusBoardingPoint,
}
