import { BusBoardingPoint } from '@prisma/client'
import { prisma } from '../../../shared/prisma'
import { Request } from 'express'

const createBusBoardingPointIntoDB = async (payload: BusBoardingPoint) => {
  const result = await prisma.busBoardingPoint.create({
    data: payload,
  })

  return result
}

const getAllBusBoardingPoint = async (req: Request) => {
  const id = req.params.id
  const result = await prisma.busBoardingPoint.findMany({
    where: {
      busId: id,
    },
    orderBy: {
      createdAt: 'asc',
    },
  })

  return result
}

export const BusBoardingPointService = {
  createBusBoardingPointIntoDB,
  getAllBusBoardingPoint,
}
