import catchAsync from '../../../shared/catchAsync'
import { BusCounterService } from './busCounter.service'
import httpStatus from 'http-status'

const createBusCounter = catchAsync(async (req, res) => {
  const result = await BusCounterService.createBusCounterIntoDB(req)
  res.status(201).json({
    statusCode: httpStatus.CREATED,
    message: 'Bus Counter created successfully',
    data: result,
  })
})

const getAllBusCounter = catchAsync(async (req, res) => {
  const result = await BusCounterService.getAllBusCounterFromDB(req)
  res.status(200).json({
    statusCode: httpStatus.OK,
    message: 'Bus Counter fetch successfully',
    data: result,
  })
})

export const BusCounterController = {
  createBusCounter,
  getAllBusCounter,
}
