import { Router } from 'express'
import { BusCounterController } from './busCounter.controller'
import auth from '../../../middleware/auth'
import { UserRoles } from '@prisma/client'

const route = Router()

route.post(
  '/create-bus-counter',
  auth(UserRoles.OWNER),
  BusCounterController.createBusCounter,
)

route.get('/', auth(UserRoles.OWNER), BusCounterController.getAllBusCounter)

export const BusCounterRoutes = route
