import { Router } from 'express'
import { BusDetailsController } from './busDetails.controller'
import auth from '../../../middleware/auth'
import { UserRoles } from '@prisma/client'

const router = Router()

router.post(
  '/create-bus-details',
  auth(UserRoles.OWNER),
  BusDetailsController.createBusDetails,
)
router.get(
  '/',
  auth(UserRoles.OWNER, UserRoles.SUPER_ADMIN),
  BusDetailsController.getBusDetails,
)

router.get('/get-bus-search', BusDetailsController.getBusForSearch)

router.get(
  '/get-all-bus-details',
  auth(UserRoles.SUPER_ADMIN),
  BusDetailsController.getAllBusFromDB,
)

router.get(
  '/:id',
  auth(UserRoles.OWNER),
  BusDetailsController.getSpicificBusDetails,
)

export const BusDetailsRouter = router
