import catchAsync from '../../../shared/catchAsync'
import httpStatus from 'http-status'
import { BusDroppingPointService } from './busDroppingPoint.service'

const createBusDroppingPoint = catchAsync(async (req, res) => {
  const result = await BusDroppingPointService.createBusDroppingPointIntoDB(
    req.body,
  )
  res.status(201).json({
    statusCode: httpStatus.CREATED,
    message: 'Bus Dropping point created successfully',
    data: result,
  })
})

const getBusDroppingPoint = catchAsync(async (req, res) => {
  const result = await BusDroppingPointService.getAllBusDroppingPoint(req)
  res.status(201).json({
    statusCode: httpStatus.OK,
    message: 'Bus Dropping point fetch successfully',
    data: result,
  })
})

export const BusDroppingPointController = {
  createBusDroppingPoint,
  getBusDroppingPoint,
}
