import { BusDroppingPoint } from '@prisma/client'
import { prisma } from '../../../shared/prisma'
import { Request } from 'express'

const createBusDroppingPointIntoDB = async (payload: BusDroppingPoint) => {
  const result = await prisma.busDroppingPoint.create({
    data: payload,
  })

  return result
}

const getAllBusDroppingPoint = async (req: Request) => {
  const id = req.params.id
  const result = await prisma.busDroppingPoint.findMany({
    where: {
      busId: id,
    },
    orderBy: {
      createdAt: 'asc',
    },
  })

  return result
}

export const BusDroppingPointService = {
  createBusDroppingPointIntoDB,
  getAllBusDroppingPoint,
}
