/* eslint-disable @typescript-eslint/no-explicit-any */
import { prisma } from '../../../shared/prisma'

const busRoutesCreateIntoDb = async (payload: any) => {
  const busRoute = payload.routes
  const busRoutes = busRoute.map((route: any) => ({
    busId: route.busId,
    stoppageLocation: route.stoppageLocation,
    stoppageTime: route.stoppageTime,
    ticketPrice: Number(route.ticketPrice),
  }))
  const result = await prisma.busRoute.createMany({
    data: busRoutes,
  })
  return result
}

const createDistrictForSearch = async (payload: any) => {
  const result = await prisma.busStop.createMany({
    data: payload,
  })
  return result
}

export const BusRouteService = {
  busRoutesCreateIntoDb,
  createDistrictForSearch,
}
