import { Router } from 'express'
import { BusScheduleController } from './busSchedule.controller'
import auth from '../../../middleware/auth'
import { UserRoles } from '@prisma/client'

const router = Router()

router.post(
  '/create-bus-schedule',
  auth(UserRoles.OWNER),
  BusScheduleController.createBusSchedule,
)
router.get(
  '/get-running-today',
  auth(UserRoles.OWNER),
  BusScheduleController.runningTodayBusFromDB,
)

router.get('/', auth(UserRoles.OWNER), BusScheduleController.getBusSchedules)
router.patch('/:id', BusScheduleController.updateTicketPrice)

export const BusScheduleRouter = router
