import catchAsync from '../../../shared/catchAsync'
import sendResponse from '../../../shared/sendResponse'
import httpStatus from 'http-status'
import { BusStopService } from './busStop.service'

const createBusStop = catchAsync(async (req, res) => {
  const result = await BusStopService.createBusStopIntoDB(req.body)
  sendResponse(res, {
    statusCode: httpStatus.CREATED,
    message: 'Bus stop created successfully',
    data: result,
  })
})

const getBusStop = catchAsync(async (req, res) => {
  const result = await BusStopService.getBusStopFromDB(req.query)
  sendResponse(res, {
    statusCode: httpStatus.OK,
    message: 'Bus stop fetched successfully',
    data: result,
  })
})

export const BusStopController = {
  createBusStop,
  getBusStop,
}
