import { Router } from 'express'
import { CancelController } from './cancelRequst.controller'
import auth from '../../../middleware/auth'
import { UserRoles } from '@prisma/client'

const router = Router()

router.get(
  '/get-cancel-request',
  auth(
    UserRoles.ADMIN,
    UserRoles.SUPER_ADMIN,
    UserRoles.OWNER,
    UserRoles.PASSENGER,
  ),
  CancelController.getCancelRequst,
)

router.post('/cancel-request', CancelController.createCancelRequst)

export const CancelRoute = router
