import catchAsync from '../../../shared/catchAsync'
import sendResponse from '../../../shared/sendResponse'

import httpStatus from 'http-status'
import { CancelRequestService } from './cancelRequest.service'

const createCancelRequst = catchAsync(async (req, res) => {
  const result = await CancelRequestService.createCancelRequest(req)
  sendResponse(res, {
    statusCode: httpStatus.CREATED,
    message: 'Cancel Requst created successfully',
    data: result,
  })
})

const getCancelRequst = catchAsync(async (req, res) => {
  const result = await CancelRequestService.getCancelRequest(req)
  sendResponse(res, {
    statusCode: httpStatus.OK,
    message: 'Cancel Requst get successfully',
    data: result,
  })
})

export const CancelController = {
  createCancelRequst,
  getCancelRequst,
}
