import catchAsync from '../../../shared/catchAsync'
import httpStatus from 'http-status'
import { CouponService } from './coupon.service'

//create coupon
const createCoupon = catchAsync(async (req, res) => {
  const result = await CouponService.createCouponIntoDB(req.body)
  res.status(201).json({
    statusCode: httpStatus.CREATED,
    message: 'Coupon created successfully',
    data: result,
  })
})

//get all coupon
const getCouponFromDB = catchAsync(async (req, res) => {
  const result = await CouponService.getAllCoupons()
  res.status(httpStatus.OK).json({
    statusCode: httpStatus.OK,
    message: 'Coupon get successfully',
    data: result,
  })
})

//update coupon
const updateCouponIntoDB = catchAsync(async (req, res) => {
  const result = await CouponService.updateCoupon(req)
  res.status(httpStatus.OK).json({
    statusCode: httpStatus.OK,
    message: 'Coupon update successfully',
    data: result,
  })
})

export const CouponController = {
  createCoupon,
  getCouponFromDB,
  updateCouponIntoDB,
}
