import { UserRoles } from '@prisma/client'
import { Router } from 'express'
import auth from '../../../middleware/auth'
import { CouponController } from './coupon.controller'

const router = Router()

router.post(
  '/create-coupon',
  auth(UserRoles.OWNER),
  CouponController.createCoupon,
)
router.get(
  '/get-coupon',
  auth(UserRoles.OWNER),
  CouponController.getCouponFromDB,
)

// router.get('/', auth(UserRoles.OWNER), BusScheduleController.getBusSchedules)
router.patch('/update-coupon/:id', CouponController.updateCouponIntoDB)

export const CouponRouter = router
