import catchAsync from '../../../shared/catchAsync'
import httpStatus from 'http-status'
import { SalesReportService } from './salesReport.service'

const getSalesReportToday = catchAsync(async (req, res) => {
  const result = await SalesReportService.getSalesReportForToday(req)
  res.status(200).json({
    statusCode: httpStatus.OK,
    message: 'Today sales report fetch   successfully',
    data: result,
  })
})

export const SalesReportController = {
  getSalesReportToday,
}
