import { Request } from 'express'
import { prisma } from '../../../shared/prisma'

const getSalesReportForToday = async (req: Request) => {
  const { contactNumber } = req.user

  const calculatedTodaySales = await prisma.passengerInfoForBus.findMany({
    where: {
      createdAt: {
        gte: new Date(),
      },
      contactNumber: contactNumber,
    },
  })

  return calculatedTodaySales
}

export const SalesReportService = {
  getSalesReportForToday,
}
