import catchAsync from '../../shared/catchAsync'
import sendResponse from '../../shared/sendResponse'
import { CompanyService } from './busCompany.service'
import httpStatus from 'http-status'

const createCompany = catchAsync(async (req, res) => {
  const result = await CompanyService.createCompanyIntoDB(req)
  sendResponse(res, {
    statusCode: httpStatus.CREATED,
    message: 'Company created successfully',
    data: result,
  })
})

const getAllBusCompany = catchAsync(async (req, res) => {
  const result = await CompanyService.getAllBusCompanyIntoDB()
  sendResponse(res, {
    statusCode: httpStatus.OK,
    message: 'Company fetched successfully',
    data: result,
  })
})

export const CompanyController = {
  createCompany,
  getAllBusCompany,
}
