import { Router } from 'express'
import { CompanyController } from './busCompany.controller'
import auth from '../../middleware/auth'
import { UserRoles } from '@prisma/client'
import { multerUploads } from '../../config/multer.config'

const router = Router()

router.post(
  '/create-company',
  auth(UserRoles.OWNER),
  // validateData(CompanyValidation.createCompanySchemaValidation),
  multerUploads.single('image'),
  (req, res, next) => {
    req.body = JSON.parse(req.body.data)
    return CompanyController.createCompany(req, res, next)
  },
)

router.get(
  '/get-all-bus-company',
  auth(UserRoles.SUPER_ADMIN),
  CompanyController.getAllBusCompany,
)

export const CompanyRouter = router
