import { z } from 'zod'

const createCompanySchemaValidation = z.object({
  body: z.object({
    email: z
      .string({
        required_error: 'Email is required',
      })
      .email(),
    contactNumber: z.string({
      required_error: 'Contact number is required',
    }),
    emergencyContactNumber: z.string({
      required_error: 'Emergency contact number is required',
    }),
    logo: z
      .string({
        required_error: 'Logo is required',
      })
      .optional(),
    address: z.string({
      required_error: 'Address is required',
    }),
    transportType: z
      .string({
        required_error: 'Transport type is required',
      })
      .optional(),
    busCounters: z
      .string({
        required_error: 'Bus counters is required',
      })
      .optional(),
    busQuantity: z.number({
      required_error: 'Bus quantity is required',
    }),
    isDelated: z.boolean().default(false),
  }),
})

export const CompanyValidation = {
  createCompanySchemaValidation,
}
