import z from 'zod'

const createFlightSchema = z.object({
  body: z.object({
    flightNumber: z.string({
      required_error: 'Flight number is required',
    }),
    fromLocation: z.string({
      required_error: 'From location is required',
    }),
    toLocation: z.string({
      required_error: 'To location is required',
    }),
    duration: z.number({
      required_error: 'Duration is required',
    }),
    price: z.number({
      required_error: 'Price is required',
    }),
    isRecurring: z.boolean(),
    ticketType: z.enum(['ONE_WAY', 'ROUND_TRIP']),
  }),
})

export const FlightValidation = {
  createFlightSchema,
}
