import catchAsync from '../../shared/catchAsync'
import sendResponse from '../../shared/sendResponse'
import { FlightScheduleService } from './flightSchedule.service'
import httpStatus from 'http-status'

const createFlightSchedule = catchAsync(async (req, res) => {
  const result = await FlightScheduleService.createFlightScheduleIntoDB(
    req.body,
  )
  sendResponse(res, {
    statusCode: httpStatus.CREATED,
    message: 'Flight Schedule created successfully',
    data: result,
  })
})

const getFlightSchedule = catchAsync(async (req, res) => {
  const result = await FlightScheduleService.getAllFlightScheduleFormDB()
  sendResponse(res, {
    statusCode: httpStatus.OK,
    message: 'Flight Schedule fatch successfully',
    data: result,
  })
})

export const FlightScheduleController = {
  createFlightSchedule,
  getFlightSchedule,
}
