import catchAsync from '../../shared/catchAsync'
import sendResponse from '../../shared/sendResponse'
import { PassengerService } from './passenger.service'
import httpStatus from 'http-status'

const getPassengerFromDB = catchAsync(async (req, res) => {
  const result = await PassengerService.getPassengerForSpeicificBus(req)
  sendResponse(res, {
    statusCode: httpStatus.OK,
    message: 'Passenger fetched successfully',
    data: result,
  })
})

const updatePassengerInfoInDB = catchAsync(async (req, res) => {
  const result = await PassengerService.updatePassengerInfoIntoDB(req)
  sendResponse(res, {
    statusCode: httpStatus.OK,
    message: 'Passenger info updated successfully',
    data: result,
  })
})

const getPassengerTicketForBus = catchAsync(async (req, res) => {
  const result = await PassengerService.getPassengerForSpicificUser(req)
  sendResponse(res, {
    statusCode: httpStatus.OK,
    message: 'Passenger fetched successfully',
    data: result,
  })
})

const calculatingTicketForPassenger = catchAsync(async (req, res) => {
  const result = await PassengerService.calculatedInsight(req)
  sendResponse(res, {
    statusCode: httpStatus.OK,
    message: 'Passenger calculated successfully',
    data: result,
  })
})

export const PassengerController = {
  getPassengerFromDB,
  updatePassengerInfoInDB,
  getPassengerTicketForBus,
  calculatingTicketForPassenger,
}
