import { Router } from 'express'
import { PlaneController } from './plane.controller'
import auth from '../../middleware/auth'
import { UserRoles } from '@prisma/client'
import validateData from '../../middleware/validateData'
import { PlaneValidation } from './plane.validation'

const router = Router()

router.post(
  '/create-plane',
  // auth(UserRoles.SUPER_ADMIN),
  validateData(PlaneValidation.planeSchemaValidation),
  PlaneController.createPlane,
)

router.get(
  '/get-all-planes',
  // auth(UserRoles.SUPER_ADMIN),
  PlaneController.getAllPlans,
)

router.patch(
  '/:id',
  auth(UserRoles.SUPER_ADMIN),
  validateData(PlaneValidation.updatePlaneSchemaValidation),
  PlaneController.updatePlane,
)

router.delete(
  '/:id',
  auth(UserRoles.SUPER_ADMIN),
  PlaneController.deletePlanInfo,
)

export const PlaneRouter = router
