import { Router } from 'express'
import { UserRouter } from '../module/user/user.routes'
import { AdminRouter } from '../module/admin/admin.routes'
import { AuthRouter } from '../module/auth/auth.routes'
import { CompanyRouter } from '../module/busCompany/busCompany.routes'
import { AirRouter } from '../module/airLines/airLines.routes'
import { PlaneRouter } from '../module/plane/plane.routes'
import { FlightRoutes } from '../module/flight/flight.routes'
import { AirportRoutes } from '../module/airport/airport.routes'
import { FlightScheduleRouter } from '../module/flightSchedule/flightSchedule.routes'
import { BusStopRoutes } from '../module/bus/busStop/busStop.routes'
import { BusDetailsRouter } from '../module/bus/busDetails/busDetails.routes'
import { BusScheduleRouter } from '../module/bus/busSchedule/busSchedule.routes'
import { BusCounterRoutes } from '../module/bus/busCounter/busCounter.routes'
import { BusRoutes } from '../module/bus/busRoutes/busRoutes.routes'
import { BusTicketBookRoutes } from '../module/bus/busTicketBook/busTicketBook.routes'
import { BusBoardingPointRouter } from '../module/bus/busBoardingPoint/busBoardingPoint.routes'
import { BusDroppingPointRouter } from '../module/bus/busDroppingPoint/busDroppingPoint.routes'
import { PassengerRoutes } from '../module/passenger/passenger.routes'
import { CouponRouter } from '../module/bus/cupon/coupon.routes'
import { CancelRoute } from '../module/bus/cancelRequst/cancelRequest.routes'
import { SalesReportRouter } from '../module/bus/salesReport/salesReport.routes'

const middlewareRouter = Router()

const routers = [
  {
    path: '/user',
    router: UserRouter,
  },
  {
    path: '/admin',
    router: AdminRouter,
  },
  {
    path: '/auth',
    router: AuthRouter,
  },
  {
    path: '/bus',
    router: CompanyRouter,
  },
  {
    path: '/bus-counter',
    router: BusCounterRoutes,
  },
  {
    path: '/air',
    router: AirRouter,
  },
  {
    path: '/plane',
    router: PlaneRouter,
  },
  {
    path: '/flight',
    router: FlightRoutes,
  },
  {
    path: '/airport',
    router: AirportRoutes,
  },
  {
    path: '/schedule',
    router: FlightScheduleRouter,
  },
  {
    path: '/bus-stops',
    router: BusStopRoutes,
  },
  {
    path: '/bus-details',
    router: BusDetailsRouter,
  },
  {
    path: '/bus-schedule',
    router: BusScheduleRouter,
  },
  {
    path: '/bus-route',
    router: BusRoutes,
  },
  {
    path: '/bus-ticket-book',
    router: BusTicketBookRoutes,
  },
  {
    path: '/bus-boarding-point',
    router: BusBoardingPointRouter,
  },
  {
    path: '/bus-dropping-point',
    router: BusDroppingPointRouter,
  },
  {
    path: '/passenger',
    router: PassengerRoutes,
  },
  {
    path: '/coupon',
    router: CouponRouter,
  },
  {
    path: '/cancel-request',
    router: CancelRoute,
  },
  {
    path: '/sales-report',
    router: SalesReportRouter,
  },
]

routers.forEach(route => middlewareRouter.use(route.path, route.router))

export default middlewareRouter
