import { Response } from 'express'

type TResponse<T> = {
  statusCode: number
  message: string
  meta?: {
    page: number
    limit: number
    total: number
    totalPages?: number
  }
  data: T | null | undefined
}

const sendResponse = <T>(res: Response, data: TResponse<T>) => {
  res.status(data.statusCode).json({
    statusCode: data.statusCode,
    success: true,
    message: data.message,
    meta: data.meta,
    data: data.data,
  })
}

export default sendResponse
